# setup.py
# Copyright 2014 Roger Marsh
# Licence: See LICENCE (BSD licence)

from setuptools import setup

if __name__ == '__main__':

    long_description = open('README').read()

    setup(
        name='emailstore',
        version='1.3.1',
        description="Select and store emails from mailbox",
        author='Roger Marsh',
        author_email='roger.marsh@solentware.co.uk',
        url='http://www.solentware.co.uk',
        package_dir={'emailstore':''},
        packages=[
            'emailstore',
            'emailstore.core', 'emailstore.gui', 'emailstore.help',
            'emailstore.about',
            ],
        package_data={
            'emailstore.about': ['LICENCE', 'CONTACT'],
            'emailstore.help': ['*.txt'],
            },
        long_description=long_description,
        license='BSD',
        classifiers=[
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 3.3',
            'Programming Language :: Python :: 3.4',
            'Programming Language :: Python :: 3.5',
            'Programming Language :: Python :: 3.6',
            'Operating System :: OS Independent',
            'Topic :: Other/Nonlisted Topic',
            #'Topic :: Text Processing',
            #'Topic :: Communications :: Email',
            #'Topic :: Communications :: Email :: Email Client (MUA)',
            'Intended Audience :: End Users/Desktop',
            'Intended Audience :: Developers',
            'Development Status :: 3 - Alpha',
            ],
        install_requires=['solentware-misc==1.1.1', 'solentware-grid==1.2'],
        dependency_links=[
            'http://solentware.co.uk/files/solentware-misc-1.1.1.tar.gz',
            'http://solentware.co.uk/files/solentware-grid-1.2.tar.gz',
            ],
        )
